List statements
curl --request POST \
--url https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"timestamp": {
"$gte": "2026-10-01T00:00:00.000Z"
},
"verb.id": "http://activitystrea.ms/schema/1.0/complete"
},
"limit": 500,
"select": {
"actor": 1,
"verb": 1,
"object": 1,
"timestamp": 1
}
}
'import requests
url = "https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor"
payload = {
"filters": {
"timestamp": { "$gte": "2026-10-01T00:00:00.000Z" },
"verb.id": "http://activitystrea.ms/schema/1.0/complete"
},
"limit": 500,
"select": {
"actor": 1,
"verb": 1,
"object": 1,
"timestamp": 1
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
timestamp: {$gte: '2026-10-01T00:00:00.000Z'},
'verb.id': 'http://activitystrea.ms/schema/1.0/complete'
},
limit: 500,
select: {actor: 1, verb: 1, object: 1, timestamp: 1}
})
};
fetch('https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'timestamp' => [
'$gte' => '2026-10-01T00:00:00.000Z'
],
'verb.id' => 'http://activitystrea.ms/schema/1.0/complete'
],
'limit' => 500,
'select' => [
'actor' => 1,
'verb' => 1,
'object' => 1,
'timestamp' => 1
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor"
payload := strings.NewReader("{\n \"filters\": {\n \"timestamp\": {\n \"$gte\": \"2026-10-01T00:00:00.000Z\"\n },\n \"verb.id\": \"http://activitystrea.ms/schema/1.0/complete\"\n },\n \"limit\": 500,\n \"select\": {\n \"actor\": 1,\n \"verb\": 1,\n \"object\": 1,\n \"timestamp\": 1\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"timestamp\": {\n \"$gte\": \"2026-10-01T00:00:00.000Z\"\n },\n \"verb.id\": \"http://activitystrea.ms/schema/1.0/complete\"\n },\n \"limit\": 500,\n \"select\": {\n \"actor\": 1,\n \"verb\": 1,\n \"object\": 1,\n \"timestamp\": 1\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"timestamp\": {\n \"$gte\": \"2026-10-01T00:00:00.000Z\"\n },\n \"verb.id\": \"http://activitystrea.ms/schema/1.0/complete\"\n },\n \"limit\": 500,\n \"select\": {\n \"actor\": 1,\n \"verb\": 1,\n \"object\": 1,\n \"timestamp\": 1\n }\n}"
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"cursor": "<string>"
}xAPI
List statements
Page through xAPI statements in timestamp order. Requires the xapi:read scope.
Omit cursor on the first request, then send the cursor from each response. Stop when a page has fewer statements than your limit. sort and skip arenβt supported.
POST
/
api
/
v1
/
public-api
/
xapi
/
.search-cursor
List statements
curl --request POST \
--url https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"timestamp": {
"$gte": "2026-10-01T00:00:00.000Z"
},
"verb.id": "http://activitystrea.ms/schema/1.0/complete"
},
"limit": 500,
"select": {
"actor": 1,
"verb": 1,
"object": 1,
"timestamp": 1
}
}
'import requests
url = "https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor"
payload = {
"filters": {
"timestamp": { "$gte": "2026-10-01T00:00:00.000Z" },
"verb.id": "http://activitystrea.ms/schema/1.0/complete"
},
"limit": 500,
"select": {
"actor": 1,
"verb": 1,
"object": 1,
"timestamp": 1
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
timestamp: {$gte: '2026-10-01T00:00:00.000Z'},
'verb.id': 'http://activitystrea.ms/schema/1.0/complete'
},
limit: 500,
select: {actor: 1, verb: 1, object: 1, timestamp: 1}
})
};
fetch('https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'timestamp' => [
'$gte' => '2026-10-01T00:00:00.000Z'
],
'verb.id' => 'http://activitystrea.ms/schema/1.0/complete'
],
'limit' => 500,
'select' => [
'actor' => 1,
'verb' => 1,
'object' => 1,
'timestamp' => 1
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor"
payload := strings.NewReader("{\n \"filters\": {\n \"timestamp\": {\n \"$gte\": \"2026-10-01T00:00:00.000Z\"\n },\n \"verb.id\": \"http://activitystrea.ms/schema/1.0/complete\"\n },\n \"limit\": 500,\n \"select\": {\n \"actor\": 1,\n \"verb\": 1,\n \"object\": 1,\n \"timestamp\": 1\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"timestamp\": {\n \"$gte\": \"2026-10-01T00:00:00.000Z\"\n },\n \"verb.id\": \"http://activitystrea.ms/schema/1.0/complete\"\n },\n \"limit\": 500,\n \"select\": {\n \"actor\": 1,\n \"verb\": 1,\n \"object\": 1,\n \"timestamp\": 1\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.the-juno.com/api/v1/public-api/xapi/.search-cursor")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"timestamp\": {\n \"$gte\": \"2026-10-01T00:00:00.000Z\"\n },\n \"verb.id\": \"http://activitystrea.ms/schema/1.0/complete\"\n },\n \"limit\": 500,\n \"select\": {\n \"actor\": 1,\n \"verb\": 1,\n \"object\": 1,\n \"timestamp\": 1\n }\n}"
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"cursor": "<string>"
}Authorizations
Personal access token. Create one in Admin β Security β Developer Settings β Generate Personal Access Token.
Body
application/json
MongoDB-style filters on statement fields.
Show child attributes
Show child attributes
Statements per page.
Required range:
1 <= x <= 1000The cursor from the previous response. Omit it on the first request.
Fields to return, for example { "actor": 1, "verb": 1 }. Leave it out to get every field.
Show child attributes
Show child attributes
Was this page helpful?

